package com.example.system.service;

import com.example.system.model.InformationTable;
import com.example.system.model.ResultInformationTable;
import org.apache.ibatis.javassist.NotFoundException;

import java.util.List;

public interface InformationService {
    List<InformationTable> getUserInformation(Long userId);
    InformationTable createInformation(Long userId, Long competitionId, InformationTable information);
    InformationTable updateInformation(Long informationId, InformationTable information) throws NotFoundException;
    void deleteInformation(Long informationId);
    //获取所有资料
    List<ResultInformationTable> getAll();
    //获取指定项目的所有资料
    List<ResultInformationTable> getPortion(Long competitionId);
    //获取自己的资料
    List<ResultInformationTable> getSelf(Long userId);
}